//
//  LMaUtility.m
//  LocationApp_Sample
//
//  Created by Pham Duc Khanh on 5/22/17.
//
//

#import "LMaUtility.h"

#define IGNORE_WARNING_DEPRECATED_ON                                \
_Pragma("clang diagnostic push")                                    \
_Pragma("clang diagnostic ignored \"-Wdeprecated-declarations\"")
#define IGNORE_WARNING_DEPRECATED_OFF                               \
_Pragma("clang diagnostic pop")

@implementation LMaUtility

/* アラート表示 */
+ (void)showInformationAlert:(UIViewController *)viewController title:(NSString *)title message:(NSString *)message
{
    NSString *cancelButtonTitle = @"OK";
    
    Class alertControllerClass = NSClassFromString(@"UIAlertController");
    if ( alertControllerClass == nil )
    {
        IGNORE_WARNING_DEPRECATED_ON
        UIAlertView *alertView = [[UIAlertView alloc] initWithTitle:title
                                                            message:message
                                                           delegate:nil
                                                  cancelButtonTitle:cancelButtonTitle
                                                  otherButtonTitles:nil];
        IGNORE_WARNING_DEPRECATED_OFF
        [alertView show];
    }
    else
    {
        UIAlertController *alertController = [UIAlertController alertControllerWithTitle:title
                                                                                 message:message
                                                                          preferredStyle:UIAlertControllerStyleAlert];
        [alertController addAction:[UIAlertAction actionWithTitle:cancelButtonTitle style:UIAlertActionStyleCancel handler:nil]];
        [viewController presentViewController:alertController animated:YES completion:nil];
    }
}

/* dictionaryをJSON文字列に変換 */
+ (NSString *) dictionaryToJson:(NSDictionary *)dictionary
{
    NSError *error = nil;
    NSData *json = [NSJSONSerialization dataWithJSONObject:dictionary options:2 error:&error];
    return [[NSString alloc]initWithData:json encoding:NSUTF8StringEncoding];
}

@end
